This endpoint allows you to add and update Account information and properties using the {accountId}.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Add or update one account field or property using the Arcadia-generated accountId.
Use this endpoint when you store and reference the Arcadia accountId for an account. To add or update one account field or property using your own account identifier, use Add or Update Account Info and Properties with providerAccountId.
The endpoint adds the field if it does not exist or updates the field if it already exists. You can update many account fields, including:
- Any entry in the
account.propertiesarray. - Top-level account header fields such as
accountName,customerOrgName,customerOrgId, orstatus. addressStringand other fields in theaccount.addressobject.- The account's electricity
masterTariffId.
For larger account updates or upserts, use the account update endpoint. For non-electric tariffs, contracted rates, or tax rates, use Add or Update an Account Tariff.
Resource URI
PUT /rest/v1/accounts/{accountId}/propertiesPath parameters
| Parameter | Type | Description |
|---|---|---|
accountId | String | Arcadia UUID of the Account object. Required. |
Request body
| Field | Type | Description |
|---|---|---|
keyName | String | Account field or property key to add or update. Required. |
dataValue | String | Value to store for the field or property. Required. |
accuracy | Number | Confidence value for tariff-related updates. Optional. |
fromDateTime | DateTime | Start of the effective date range for date-ranged values. Optional. |
toDateTime | DateTime | End of the effective date range for date-ranged values. Optional. |
For the full account property data model, account property workflow, and detailed examples, see Account Properties API.
Example
This example sets a value in the account.properties collection. The request sets the building area to 2,000 square feet.
PUT /rest/v1/accounts/9a6035d8-94cd-4d66-8a94-eac573fec42e/propertiesWith this request body:
{
"keyName":"buildingArea",
"dataValue":"2000"
}The response returns the updated property:
{
"status": "success",
"count": 1,
"type": "PropertyData",
"results": [
{
"keyName": "buildingArea",
"dataType": null,
"dataValue": "2000"
}
]
}Verify the update
After the example call, buildingArea is in the account's properties collection.
Call Get Account Properties to verify property values:
GET /rest/v1/accounts/9a6035d8-94cd-4d66-8a94-eac573fec42e/properties